svn commit: samba r8735 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun Jul 24 12:24:34 GMT 2005


Author: tridge
Date: 2005-07-24 12:24:34 +0000 (Sun, 24 Jul 2005)
New Revision: 8735

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8735

Log:
added NBT and WINS testing to 'make test' so we will know if it breaks again

Added:
   branches/SAMBA_4_0/source/script/tests/test_nbt.sh
Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh
   branches/SAMBA_4_0/source/script/tests/tests_all.sh
   branches/SAMBA_4_0/source/script/tests/tests_quick.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-07-24 12:18:11 UTC (rev 8734)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-07-24 12:24:34 UTC (rev 8735)
@@ -93,6 +93,7 @@
 	interfaces = lo*
 	tls enabled = $TLS_ENABLED
 	panic action = $SRCDIR/script/gdb_backtrace %PID% %PROG%
+	wins support = yes
 
 [tmp]
 	path = $TMPDIR

Added: branches/SAMBA_4_0/source/script/tests/test_nbt.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_nbt.sh	2005-07-24 12:18:11 UTC (rev 8734)
+++ branches/SAMBA_4_0/source/script/tests/test_nbt.sh	2005-07-24 12:24:34 UTC (rev 8735)
@@ -0,0 +1,23 @@
+#!/bin/sh
+# test some NBT/WINS operations
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_nbt.sh SERVER
+EOF
+exit 1;
+fi
+
+SERVER="$1"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+SCRIPTDIR=../testprogs/ejs
+
+PATH=bin:$PATH
+export PATH
+
+for f in NBT-REGISTER NBT-WINS; do
+    testit "$f" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ $f || failed=`expr $failed + 1`
+done


Property changes on: branches/SAMBA_4_0/source/script/tests/test_nbt.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/SAMBA_4_0/source/script/tests/tests_all.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/tests_all.sh	2005-07-24 12:18:11 UTC (rev 8734)
+++ branches/SAMBA_4_0/source/script/tests/tests_all.sh	2005-07-24 12:24:34 UTC (rev 8735)
@@ -1,5 +1,6 @@
  $SRCDIR/script/tests/test_ejs.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_ldap.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_nbt.sh localhost || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_quick.sh //localhost/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_session_key.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`

Modified: branches/SAMBA_4_0/source/script/tests/tests_quick.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/tests_quick.sh	2005-07-24 12:18:11 UTC (rev 8734)
+++ branches/SAMBA_4_0/source/script/tests/tests_quick.sh	2005-07-24 12:24:34 UTC (rev 8735)
@@ -1,3 +1,5 @@
 $SRCDIR/script/tests/test_ejs.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
 $SRCDIR/script/tests/test_ldap.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
+$SRCDIR/script/tests/test_nbt.sh localhost || failed=`expr $failed + $?`
 $SRCDIR/script/tests/test_quick.sh //localhost/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+



More information about the samba-cvs mailing list